=== examples/graphs/3d/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Quick)
    if(QT_FEATURE_graphs_3d_bars3d)
        qt_internal_add_example(bars)
    endif()
    if(QT_FEATURE_graphs_3d_scatter3d)
        qt_internal_add_example(axishandling)
        qt_internal_add_example(scatter)
    endif()
    if(QT_FEATURE_graphs_3d_surface3d)
        qt_internal_add_example(surfacegallery)
    endif()
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    if(QT_FEATURE_graphs_3d_bars3d AND QT_FEATURE_graphs_3d_scatter3d AND QT_FEATURE_graphs_3d_surface3d)
        qt_internal_add_example(widgetgraphgallery)
    endif()
    if(QT_FEATURE_graphs_3d_scatter3d)
        qt_internal_add_example(widgetvolumetric)
    endif()
endif()
